Bug 246256 - fw_ohci.ko prevents kernel from correctly leaving suspend
fw_ohci.ko prevents kernel from correctly leaving suspend
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 12:44 EDT by Andrew Zabolotny
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.22.1-41.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 05:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Zabolotny 2007-06-29 12:44:55 EDT
Description of problem:
When the fw_ohci module is loaded (of course, the respective hardware should be
present; in my case it's a Gigabyte DS3 motherboard (Intel P965 chipset) with a
onboard OHCI Firewire controller) the computer locks up when resuming from a
suspended state. Suspend was working fine with Fedora Core 6 up to latest fc6
kernel updates (2.6.20), and cheased working as soon as I upgraded to Fedora 7
(also 2.6.20).

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3228.fc7

How reproducible:
Always

Steps to Reproduce:
1. Boot in single mode (fw_ohci should be loaded automatically)
2. Enter suspend mode: pm-suspend
3. After computer turns off, turn the power back on
  
Actual results:
Computer locks up

Expected results:
Computer wakes up

Additional info:
The try the same sequence but rmmod fw_ohci first, the computer will wake up
just fine.
Comment 1 Roy Dragseth 2007-07-07 15:27:07 EDT
I can confirm this on i686 too.  Exactly same behavior, on resume the caps-lock 
light starts blinking indicating a kernel panic.  Unloading the fw_ohci module 
before suspend fixes the problem.
Comment 2 Christopher Brown 2007-09-17 16:17:06 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 Andrew Zabolotny 2007-09-18 05:45:52 EDT
This bug has been fixed at some point during summer kernel updates, at least for
me. I think version 2.6.22 doesn't have this bug anymore.

I will close the bug.

Note You need to log in before you can comment on or make changes to this bug.